Folder Get Permission

Folder Get Permission
List of the permissions explicitly defined for this entity.

List of the permissions explicitly defined for this entity.

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/Folder/{moId}/permission
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case Folder/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "entity": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "principal": "string",
        "group": false,
        "roleId": 0,
        "propagate": false
    }
]
array of object
Optional

This data object type provides assignment of some role access to a principal on a specific entity.

A ManagedEntity is limited to one permission per principal.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/Folder/{moId}/permission